Package org.eclipse.emf.cdo.server.spi.admin

## Interface CDOAdminHandler

- All Known Subinterfaces:
    `CDOAdminHandler2`

      public interface CDOAdminHandler

  Handles requests from server-side `CDOAdmin` instances to `create` or `delete` repositories.

  A handler can be contributed by `registering` a `factory` with the `managed container`.

  Since:
    4.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOAdminHandler.Factory` | Creates `CDOAdminHandler` instances.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRepository` | `createRepository​(java.lang.String name, java.util.Map<java.lang.String,​java.lang.Object> properties)` |
    `void` | `deleteRepository​(IRepository delegate)` |
    `java.lang.String` | `getType()` |

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### createRepository

          IRepository createRepository​(java.lang.String name,
                                       java.util.Map<java.lang.String,​java.lang.Object> properties)

    - #### deleteRepository

          void deleteRepository​(IRepository delegate)